Skip to main content
POST
/
api
/
calls
/
providers
/
config
Save voice provider configuration
curl --request POST \
  --url https://your-instance.example.com/api/calls/providers/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider": "<string>",
  "phoneNumber": "<string>",
  "twilioAccountSid": "<string>",
  "twilioAuthToken": "<string>",
  "twilioApiKeySid": "<string>",
  "twilioApiKeySecret": "<string>",
  "twilioTwimlAppSid": "<string>",
  "sinchApplicationKey": "<string>",
  "sinchApplicationSecret": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
provider
string
required
phoneNumber
string
twilioAccountSid
string
twilioAuthToken
string
twilioApiKeySid
string
twilioApiKeySecret
string
twilioTwimlAppSid
string
sinchApplicationKey
string
sinchApplicationSecret
string

Response

Configuration saved

Generic response envelope. Endpoint-specific fields are intentionally open.